// File main.cpp by az
// This is the main.cpp File for the RTMSimulator Project

#include "RTMSimulator.h"

#include <Inventor/Qt/SoQt.h>
#include <QApplication>
#include <QDesktopWidget>
#include <QIcon>

/**
 * @mainpage myRTM
 *
 * The name of this project recently changed from RTMSimulator to myRTM.\n
 * myRTM is an easy to use and free tool for the simulation of RTM (Resin Transfer Molding) processes.\n
 * For more information about the functionality of the tool please refer to http://www.myrtm.ch.\n
 *
 * @image html myRTM.png "My RTM Simulator" width=8cm
 * @image latex myRTM.png "My RTM Simulator" width=8cm
 *
 * myRTM depends on several external libraries. And for meshing or some special file format it depends on an external tool called Gmsh.\n
 *
 * @image html myRTM_dependencies.png "myRTM dependencies" width=8cm
 * @image latex myRTM_dependencies.png "myRTM dependencies" width=8cm
 */

int main(int argc, char* argv[])
{
    QCoreApplication::setOrganizationName("IWK");
    QCoreApplication::setOrganizationDomain("iwk.hsr.ch");
    QCoreApplication::setApplicationName("myRTM");

    QApplication app(argc, argv);

    RTMSimulator* mainWindow = new RTMSimulator(argv[0]);
#ifndef Q_OS_MAC
    app.setWindowIcon(QIcon(":/img/RTMSimulator.ico"));
#endif
    app.setActiveWindow(mainWindow);

    SoQt::init(mainWindow);
    mainWindow->init();

    SoQt::show(mainWindow);
    SoQt::mainLoop();

    return 0;
}
